For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GithubSign up
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
DocsCouriersShippersForwardersTrackersAppAPI ReferenceSDKsFAQ
  • API Reference
      • GETGet info
      • GETList members
      • POSTSet up org
      • GETGet Stripe Connect Account ID
        • POSTCreate org
        • GETList orgs
        • GETGet by ID
        • DELDelete org
        • PATCHUpdate org
LogoLogo
GithubSign up
API ReferenceOrgsOff Chrt Shipper Org

Get by ID

GET
/orgs/off_chrt_shipper_org/v1/:id
GET
/orgs/off_chrt_shipper_org/v1/:id
1import { ChrtClient } from "@chrt-inc/typescript-sdk";
2
3async function main() {
4 const client = new ChrtClient({
5 token: "YOUR_TOKEN_HERE",
6 });
7 await client.orgs.offChrtShipperOrg.getByIdV1("id");
8}
9main();
1{
2 "schema_version": 1,
3 "email_address_primary": "email_address_primary",
4 "created_by_org_id": "created_by_org_id",
5 "created_by_user_id": "created_by_user_id",
6 "_id": "_id",
7 "company_name": "company_name",
8 "industry": "industry",
9 "department_id": "department_id",
10 "street_address": {
11 "type": "Feature",
12 "geometry": {
13 "type": "GeometryCollection",
14 "geometries": [
15 {
16 "type": "LineString",
17 "coordinates": [
18 []
19 ]
20 }
21 ]
22 },
23 "bbox": [
24 {
25 "key": "value"
26 }
27 ],
28 "properties": {
29 "address": "address",
30 "name": "name"
31 },
32 "id": 1
33 },
34 "contact_first_name": "contact_first_name",
35 "contact_last_name": "contact_last_name",
36 "phone_number_primary": "phone_number_primary",
37 "phone_number_secondary": "phone_number_secondary",
38 "email_address_secondary": "email_address_secondary",
39 "job_title": "job_title",
40 "notes": "notes",
41 "shipper_customer_id_for_stripe_connect_account": "shipper_customer_id_for_stripe_connect_account"
42}

Retrieves specific off-platform shipper organization by ID. | () -> (OffChrtShipperOrg1)

Was this page helpful?
Previous

Delete org

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Response

Successful Response
schema_versioninteger
email_address_primarystring
created_by_org_idstring

Must be a string starting with org_

created_by_user_idstring

Must be a string starting with user_

_idstring
company_namestring
industrystring
department_idstring
street_addressobject

GeoJSON Feature with typed properties for locations

The geometry field is strongly typed as Geometry (union of all geometry types) but remains optional to match the base Feature class specification. To ensure geometry is always present, validate it at runtime or make it required.

contact_first_namestring
contact_last_namestring
phone_number_primarystring
phone_number_secondarystring
email_address_secondarystring
job_titlestring
notesstring<=524288 characters
shipper_customer_id_for_stripe_connect_accountstring

Errors

422
Off Chrt Shipper Org Get by ID V1request Unprocessable Entity Error